@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
}

body{
    min-height: 100vh;
    background-image: url(/images/AW139_Background.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    overflow: hidden;
    font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 16px;
    color: #cccc;
    text-align: center;
}
nav{
    background-color: #131827;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
}
nav ul{
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

nav li{
    height: 50px;
}
nav a{
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: #cccc;
}

nav a:hover{
    background-color: #1a1e2a;
}
nav li:first-child{
    margin-right: auto;
}

.sidebar{
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: #1318276e;
    backdrop-filter: blur(10px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li{
    width: 100%;
}

.sidebar a{
    width: 100%;
}

.menu-button{
    display: none;
    font-family: "Material Icons";
    font-size: 30px;
    align-content:space-evenly
}

.wrapper{
    background-color: white;
    height: 100vh;
    width: max(40%, 600px);
    padding: 10px;
    border-radius: 0 0 20px 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
h1{
    font-size: 3rem;
    font-weight: 900;
    text-transform: uppercase;
}
form{
    width: min(400px, 100%);
    margin-top: 20px;
    margin-bottom: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
form > div{
    width: 100%;
    display: flex;
    justify-content: center;
}

form label{
    flex-shrink: 0;
    height: 50px;
    width: 50px;
    background-color: black;
    fill: white;
    border-radius: 10px 0 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
form input{
    box-sizing: border-box;
    flex-grow: 1;
    min-width: 0;
    height: 50px;
    padding: 1em;
    font: inherit;
    border-radius:  0 10px 10px 0;
    border: none;
    background-color: lightgray;
    transition: 150ms ease;
    border: 2px solid lightgray;
    border-left: none;
}
form input:hover{
    border-color: black;
}
form input:focus{
    outline: none;
    border-color: black;
}
form button{
    margin-top: 10px;
    border: none;
    border-radius: 1000px;
    padding: 0.85em 4em;
    background-color: black;
    color: white;
    font: inherit;
    font-weight: 600;
    text-transform: uppercase;
    cursor: pointer;
}
form button:focus{
    outline: none;
    background-color: gray;
}
a{
    text-decoration: none;
    color: black;
}
a:hover{
    text-decoration: underline;
}

form div.incorrect label{
    background-color: red;
}
form div.incorrect input{
    border-color: red;
}

#error-message {
    color:#f06272;
}

@media(max-width:960px) {
    .hideOnMobile{
        display: none;
    }
    .menu-button{
        display: block;
    }
}

@media(max-width:600px) {
    .sidebar{
        width: 100%;
    }
}

@media(max-width:1100px){
    .wrapper{
        width: min(600px, 100%);
    }
}